cancel
Showing results for 
Search instead for 
Did you mean: 

ASM in 5.7 is not working after installing addon

Former Member
0 Kudos
373

I have installed the ASM addon on our storefront using addon install ant command.

After installing it,when i tried to do ant all, we are getting build errors as below

  1. ERROR in C:\kb\5.7_ASM\hcs\hybris\bin\custom\customproj\gd\cbp\cbpstorefront\web\addonsrc\assistedservicestorefront\de\hybris\platform\assistedservicestorefront\controllers\cms\AssistedServiceComponentController.java (at line 16) import de.hybris.platform.acceleratorstorefrontcommons.controllers.AbstractController; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ The import de.hybris.platform.acceleratorstorefrontcommons.controllers cannot be resolved ----------

  2. ERROR in C:\kb\5.7_ASM\hcs\hybris\bin\custom\customproj\gd\cbp\cbpstorefront\web\addonsrc\assistedservicestorefront\de\hybris\platform\assistedservicestorefront\controllers\cms\AssistedServiceComponentController.java (at line 17) import de.hybris.platform.acceleratorstorefrontcommons.util.XSSFilterUtil; ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ The import de.hybris.platform.acceleratorstorefrontcommons.util cannot be resolved

As per my observation, inside our storefront src folder, there is a package called "com." but it is expecting another package called "de".

Please let me know how this package gets generated for ASM.

Please throw some solution or any idea on this.

Former Member
0 Kudos

We are facing the exact same issue on our project. Anyone found the solution yet? acceleratorstorefrontcommons is already in the extensioninfo of customstorefront & local-extensions.xml

sasethia
Explorer
0 Kudos

Check your .classpath file for assistedservicestorefront.

Former Member
0 Kudos

HI ,

Could you please let me know if this issue is resolved. I am also facing the same issue . I have the acceleratorstorefrontcommons added in the required list of extensions in my storefront's extensionsinfo.xml . But still I am facing the above issue.

Any suggestinos / help is highly appreciated as

Accepted Solutions (0)

Answers (1)

Answers (1)

0 Kudos

Looks like your storefront is missing dependency on acceleratorstorefrontcommons extension. Please check your extensioninfo.xml file.

Former Member
0 Kudos

It has requires extensions for acceleratorstorefrontcommons in our storefront.